ham/lpcnetfreedv - The NetBSD Packages Collection

LPCNet library for use by FreeDV

Experimental version of LPCNet that has been used to develop FreeDV
2020 - a HF radio Digial Voice mode for over the air experimentation
with Neural Net speech coding. Possibly the first use of Neural Net
speech coding in real world operation.

From https://people.xiph.org/~jm/demo/lpcnet/ :

Work in progress software for researching low CPU complexity
algorithms for speech synthesis and compression by applying Linear
Prediction techniques to WaveRNN. High quality speech can be
synthesised on regular CPUs (around 3 GFLOP) with SIMD support (AVX,
AVX2/FMA, NEON currently supported). The code also supports very low
bitrate compression at 1.6 kb/s.

Build dependencies

pkgtools/cwrappers devel/cmake devel/pkgconf

Runtime dependencies

ham/codec2

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflpcnetfreedv-0.2.tgz
NetBSD 8.0earmv7hflpcnetfreedv-0.2.tgz
NetBSD 8.0i386lpcnetfreedv-0.2.tgz
NetBSD 8.0i386lpcnetfreedv-0.2.tgz
NetBSD 8.0powerpclpcnetfreedv-0.2.tgz
NetBSD 8.0powerpclpcnetfreedv-0.2.tgz
NetBSD 8.0x86_64lpcnetfreedv-0.2.tgz
NetBSD 9.0aarch64lpcnetfreedv-0.2.tgz
NetBSD 9.0aarch64lpcnetfreedv-0.2.tgz
NetBSD 9.0alphalpcnetfreedv-0.2.tgz
NetBSD 9.0alphalpcnetfreedv-0.2.tgz
NetBSD 9.0earmv6hflpcnetfreedv-0.2.tgz
NetBSD 9.0earmv6hflpcnetfreedv-0.2.tgz
NetBSD 9.0earmv6hflpcnetfreedv-0.2.tgz
NetBSD 9.0earmv7hflpcnetfreedv-0.2.tgz
NetBSD 9.0earmv7hflpcnetfreedv-0.2.tgz
NetBSD 9.0earmv7hflpcnetfreedv-0.2.tgz
NetBSD 9.0i386lpcnetfreedv-0.2.tgz
NetBSD 9.0mips64eblpcnetfreedv-0.2.tgz
NetBSD 9.0mips64eblpcnetfreedv-0.2.tgz
NetBSD 9.0powerpclpcnetfreedv-0.2.tgz
NetBSD 9.0sparc64lpcnetfreedv-0.2.tgz
NetBSD 9.0sparc64lpcnetfreedv-0.2.tgz
NetBSD 9.0sparclpcnetfreedv-0.2.tgz
NetBSD 9.0sparclpcnetfreedv-0.2.tgz
NetBSD 9.0x86_64lpcnetfreedv-0.2.tgz
NetBSD 9.0x86_64lpcnetfreedv-0.2.tgz
NetBSD 9.0x86_64lpcnetfreedv-0.2.tgz
NetBSD 9.0x86_64lpcnetfreedv-0.2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.